Bug 166207 - Review Request: rekall : A KDE database front-end application
Review Request: rekall : A KDE database front-end application
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Aurelien Bompard
David Lawrence
http://www.rekallrevealed.org/
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-08-17 16:57 EDT by Tom "spot" Callaway
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-12 06:08:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom "spot" Callaway 2005-08-17 16:57:34 EDT
Spec Name or Url: 
http://www.auroralinux.org/people/spot/review/rekall.spec

SRPM Name or Url:
http://www.auroralinux.org/people/spot/review/rekall-2.2.3-1.src.rpm

Description: 

Rekall is a database front-end, somewhat in the style of MS Access(tm).
However, Rekall is not itself a database, and does not include a
database. By this we mean that data is stored somewhere else in an SQL
server, and Rekall is fundementally just a tool to extract, display
and update that data (of course, it does lots more than that, it does
forms and reports and scripting...). It is database agnostic, and does
not have any preferred database (plugins are available for MySQL and
PostgreSQL).
Comment 1 Aurelien Bompard 2005-09-02 12:04:10 EDT
* BuildRequires: desktop-file-utils is missing
* rpmlint says: zero-length /usr/share/apps/rekall/stock/component/py/dummy.
Maybe it's justified, since it's a dummy file
* rpmlint of rekall-runtime says: library-without-ldconfig (missing ldconfig in
post and postun for this subpackage), devel-file-in-non-devel-package
/usr/lib/librek{all,base}rt.so. Maybe it's not necessary to make a
rekall-runtime-devel subpackage, but in this case please have rekall-runtime
provide it.
* Typo in rekall-runtime %description: s/design functions or removed/design
functions are removed/g
* --vendor in desktop files should be fedora, not kde
* in the desktop file: missing "Application" category. I would also add the
"Office" category.
* when creating a new database with the xbase driver, I get the message :
« xbase: cannot load driver. Library files for "libkbase_driver_xbase.la" not
found in paths. ». Same thing for mysql driver and pgsql. It looks like rekall
needs those *.la files.
* rekall apparently uses .rlk files. It could be useful to associate those files
with rekall, using a mime entry in the desktop file (--add-mime-type switch) and
running update-desktop-database in %post.
* the desktop entry does not have an icon. Symlinking
%{_datadir}/apps/rekall/icons/hicolor/32x32/apps/rekall.png to
%{_datadir}/pixmaps should do the trick.
Comment 2 Tom "spot" Callaway 2005-09-04 17:13:47 EDT
All of these issues should be covered in -2. I tested making an xbase/xbsql
database and it didn't throw any errors.

New SRPM: http://www.auroralinux.org/people/spot/review/rekall-2.2.3-2.src.rpm
New SPEC: http://www.auroralinux.org/people/spot/review/rekall.spec
Comment 3 Adrian Reber 2005-09-05 02:05:18 EDT
> * the desktop entry does not have an icon. Symlinking
> %{_datadir}/apps/rekall/icons/hicolor/32x32/apps/rekall.png to
> %{_datadir}/pixmaps should do the trick.

I am not really sure about this but I think the better way for the icon to
appear would be running gtk-update-icon-cache instead of creating this symlink.
This should, at least in gnome, show the icon in the menu.
Comment 4 Aurelien Bompard 2005-09-05 03:55:52 EDT
Yes, I'm not sure what the Right Way is, but IIRC KDE looks for its icons in
_datadir/pixmaps and in _datadir/icons/<theme>/<size>/apps, and not in
_datadir/apps/rekall anyway. I don't think there is such thing as
gtk-update-icon-cache for KDE.

Last problems I see :
* subpackage -runtime should also require desktop-file-utils (it uses
update-desktop-database in scriptlets)
* while making the icon symlink, please change /usr/share into %{datadir}
* you symlink rekall's icon, but you copy rekallrt's one. Please symlink it too
(or copy the symlink, not the icon)
Comment 5 Tom "spot" Callaway 2005-09-08 18:06:39 EDT
Fixed in -3:

- runtime now requires d-f-u
- use %{_datadir} everywhere

I need to copy the rekallrt icon, otherwise, rekall-runtime would have to
require the "rekall" package, and the whole point of the runtime is that it can
be distributed without the rest of rekall.

SRPM:
http://www.auroralinux.org/people/spot/review/rekall-2.2.3-3.src.rpm

SPEC:
http://www.auroralinux.org/people/spot/review/rekall.spec
Comment 6 Aurelien Bompard 2005-09-09 02:35:24 EDT
> I need to copy the rekallrt icon, otherwise, rekall-runtime would have to
> require the "rekall" package

Yes of course...

However, it seems that rekall-runtime is not really independant. Having no
rekall package installed, here's what I get:
$ sudo rpm -Uvh rekall-runtime-2.2.3-3.fc4.i386.rpm
error: Failed dependencies:
   libkbase_common.so.0 is needed by rekall-runtime-2.2.3-3.fc4.i386
   libkbase_kde.so.0 is needed by rekall-runtime-2.2.3-3.fc4.i386
   libkbase_tkwidgets.so.0 is needed by rekall-runtime-2.2.3-3.fc4.i386

It's been built in mock. And the "rekall" package provides these libs.
Comment 7 Tom "spot" Callaway 2005-09-17 18:48:28 EDT
-4 fixes this by creating a "rekall-common" subpackage, which both rekall and
rekall-runtime need to function. Tested and confirmed that it enables
rekall-runtime to work.

New SRPM: http://www.auroralinux.org/people/spot/review/rekall-2.2.3-4.src.rpm
New SPEC: http://www.auroralinux.org/people/spot/review/rekall.spec
Comment 8 Aurelien Bompard 2005-09-18 03:18:08 EDT
Review for release 4:
* RPM name is OK
* Source rekall-2.2.3-2.tar.gz is the same as upstream
* Builds fine in mock
* rpmlint looks OK
* File list looks OK
* rekall-runtime can be installed independently
* Works as expected

APPROVED. After import, you may want to remove the following duplicate
BuildRequires :
- xbase-devel (required by xbsql-devel)
- qt-devel (required by kdelibs-devel)
Comment 9 Aurelien Bompard 2006-02-12 06:08:07 EST
Rekall is published, closing bug

Note You need to log in before you can comment on or make changes to this bug.